package com.tax.file.service.api;

import com.tax.file.model.FileReport;
import com.tax.file.model.FileReportExample;
import com.tax.file.model.TkTaxUser;
import com.yxcheng.token.common.service.BaseServiceI;

import java.util.List;

public interface FileReportService extends BaseServiceI<FileReportExample,FileReport> {
    List<FileReport> queryInitFileDayReport(TkTaxUser taxUser);
    FileReport queryFileDayReport(FileReport fileReport);
    void saveDayReport(String uuidFlag, FileReport dayReport, TkTaxUser taxUser);
}